
%global meadversion 1.1.2
%global namedversion 1.1.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.1.2.Final-redhat-1

Name:           jboss-remoting3-jmx
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
# FIXME: patch POM for correct name and description
Summary:        JBoss JMX over Remoting 3
License:        LGPLv2.1
Group:          Development/Java

%if %with mead
Source100: remoting-jmx-1.1.2.Final-redhat-1-scm-sources.zip
Source102: remoting-jmx-1.1.2.Final-redhat-1.jar
Source103: remoting-jmx-1.1.2.Final-redhat-1-sources.jar
Source104: remoting-jmx-1.1.2.Final-redhat-1-javadoc.jar
Source105: remoting-jmx-1.1.2.Final-redhat-1.pom
%endif

URL:            https://github.com/jbossas/remoting-jmx
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif
Requires:       jboss-logmanager >= 0:1.5.1
Requires:       jboss-logging >= 0:3.1.2
# XXX: apparently not shipped
%if 0
# FIXME: wrong name
%if 0
Requires:       jboss-logging-processor >= 0:1.1.0
%else
Requires:       jboss-logging-tools >= 0:1.1.0
%endif
%endif
Requires:       jboss-marshalling >= 0:1.4.0
# FIXME: split subpackages
%if 0
Requires:       jboss-marshalling-river >= 0:1.4.0
%endif
%if 0
Requires:       jboss-remoting >= 0:3.2.16
%else
Requires:       jboss-remoting3 >= 0:3.2.16
%endif
Requires:       jboss-sasl >= 0:1.0.3
# FIXME: split subpackages and wrong name
%if 0
Requires:       xnio-api >= 0:3.0.7
Requires:       xnio-nio >= 0:3.0.7
%else
Requires:       jboss-xnio-base >= 0:3.0.7
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/remoting-jmx-%{namedversion}-%{release}-root

%description
A project to provide the integration required to expose JMX over Remoting 3
connections.

%if %with javadoc
%package -n jboss-remoting3-jmx-javadoc
Summary:        Javadoc for remoting-jmx
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jboss-remoting3-jmx-javadoc
%{summary}.
%endif

%prep
%setup -q -n remoting-jmx -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}.jar %{buildroot}%{_javadir}/remoting-jmx-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/remoting-jmx-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}-sources.jar %{buildroot}%{_javadir}/remoting-jmx-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/remoting-jmx-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-remoting-jmx.pom

# depmaps
%add_to_maven_depmap org.jboss.remotingjmx remoting-jmx %{namedversion} JPP remoting-jmx
[ %{name} = "remoting-jmx" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/remoting-jmx

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/remoting-jmx-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/remoting-jmx-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/remoting-jmx-%{namedversion} -x META-INF/\*
%{__ln_s} remoting-jmx-%{namedversion} %{buildroot}%{_javadocdir}/remoting-jmx

%endif
%clean
%{__rm} -rf %{buildroot}

%post -n jboss-remoting3-jmx
%update_maven_depmap

%postun -n jboss-remoting3-jmx
%update_maven_depmap

%files -n jboss-remoting3-jmx
%defattr(0644,root,root,0755)
%doc COPYING.txt README
%{_javadir}/remoting-jmx-%{namedversion}.jar
%{_javadir}/remoting-jmx.jar
%exclude %{_javadir}/remoting-jmx-%{namedversion}-javadoc.jar
%exclude %{_javadir}/remoting-jmx-javadoc.jar
%{_javadir}/remoting-jmx-%{namedversion}-sources.jar
%{_javadir}/remoting-jmx-sources.jar
%{_mavenpomdir}/JPP-remoting-jmx.pom
%{_mavendepmapfragdir}/remoting-jmx

%if %with javadoc
%files -n jboss-remoting3-jmx-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/remoting-jmx-%{namedversion}
%{_javadocdir}/remoting-jmx
%{_javadir}/remoting-jmx-%{namedversion}-javadoc.jar
%{_javadir}/remoting-jmx-javadoc.jar
%endif

%changelog
* Thu Oct 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.1.2-1.Final_redhat_1
- Upgrade to 1.1.2.Final

* Tue Sep 24 2013 David Walluck <dwalluck@redhat.com> - 1.1.1-3.Final_redhat_1.1
- update Summary and %%description (not in pom.xml)

* Tue Sep 24 2013 David Walluck <dwalluck@redhat.com> - 1.1.1-2.Final_redhat_1.1
- version Requires
- fix javadoc package
- add doc

* Thu Sep 19 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.1-1.Final_redhat_1
- Upgrade to 1.1.1.Final

* Mon Sep 16 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.1-1.CR2_redhat_1
- Upgrade to 1.1.1.CR2

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 0:1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2.Final_redhat_1.7
- Rebuild for MD5

* Tue Aug 21 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.7
- Upgrade to 1.0.4.Final

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.6
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.5
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.4
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.3
- Upgrade to new wrapper
- Remove R: jboss-logging-tools
- Fix GID

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.2
- Fix symlink name

* Mon Feb 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-1.Final.1
- First build
